Innehåll
Index 🔎︎

# CLng Function

Konverterar en sträng eller ett numeriskt uttryck till ett heltal av typen Long.

## Syntax:

    CLng (Uttryck)

## Returvärde:

Long

## Parametrar:

Uttryck: Ett numeriskt uttryck som ska konverteras. Om Uttryck ligger utanför det giltiga intervallet för Long-heltal (mellan -2 147 483 648 och 2 147 483 647) returnerar LibreOffice Basic ett spillfel. Om du vill konvertera ett stränguttryck måste talet anges som vanlig text ("123,5") med det standardformat för tal som används för operativsystemet.

Funktionen rundar av decimaler till närmaste heltal.

### Felkoder:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub